Summary: The XEmacs editor
Name: xemacs
%define version 20.4
Version: %{version}
Release: 4
Copyright: GPL
Group: Applications/Editors/Emacs
Source0: xemacs-%{version}.tar.gz
Source1: xemacs-README.i386-pc-linux
Url: http://www.xemacs.org/
Buildroot: /tmp/xemacs

ExclusiveArch: i386 sparc

%description
XEmacs is a version of Emacs, compatible with and containing many 
improvements over GNU Emacs, written by Richard Stallman of the 
Free Software Foundation.  It was originally based on an early release 
of GNU Emacs Version 19, and has tracked subsequent releases of GNU 
Emacs as they have become available.
This XEmacs distribution has been splitted in some rpm :
- xemacs-%{version}        : the main part
- xemacs-el-%{version}     : elisp sources (optional)
- xemacs-info-%{version}   : info files (optional)
- xemacs-extras-%{version} : files in conflict with emacs
(Install xemacs-extras if you do not have emacs installed.)

%package el
Summary: .el source files for XEmacs
Group: Applications/Editors/Emacs
Requires: xemacs = %{version}
%description el
.el source files -- not necessary to run XEmacs

%package info
Summary: info files for XEmacs
Group: Applications/Editors/Emacs
Requires: xemacs = %{version}
%description info
Info files -- Install this package if you want the info files 
distributed with XEmacs.

%package extras
Summary: files which conflict with GNU Emacs
Group: Applications/Editors/Emacs
Requires: xemacs
%description extras
These files are common between GNU Emacs and XEmacs. If you do not 
have GNU Emacs installed, be sure to install this package as well 
when you install XEmacs.

%changelog

* Fri Aug 21 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- some of the *.el files are not compiled and therefore the
  corresponding *.elc files are missing in the base RPM. Now all those
  *.el files are included in the base RPM in an uncompressed format. All
  *.el files that have a compiled elc file are in a compressed format in
  xemacs-el.
- Gzipped all info-files.

* Tue Aug 18 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de> 
- in 20.4-2 there was a bug in the SPEC file - I did not compress the
  *.el files. As a consequence, the *.el files were contained in the
  base xemacs RPM, and xemacs-el was empty.

* Tue Aug 04 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de> 
- the 20.4-1 package was linked against 'libpng.so.0', and the libpng
  that comes with redhat 5.1 is 'libpng.so.2'. Furthermore, the SPEC
  contained the 'Description:' tag that is no longer valid.

%prep
%setup

%build

%ifarch i386
HOSTTYPE=i386-pc-linux
SOUND=native
%endif

%ifarch sparc
HOSTTYPE=sparc-unknown-linux
SOUND=none
%endif

#delete the originals for the patched files
find ./lisp -name "*.orig" -exec rm {} \;

./configure $HOSTTYPE --with-sound=$SOUND \
            --cflags="$RPM_OPT_FLAGS" --error-checking=none      \
            --debug=no --prefix=/usr --lockdir=/var/lock/xemacs  \
	    --with-gpm=no 

make

%install

if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

make prefix=$RPM_BUILD_ROOT/usr install 
cp $RPM_SOURCE_DIR/xemacs-README.i386-pc-linux README.i386-pc-linux
mkdir -p -m 0777 $RPM_BUILD_ROOT/var/lock/xemacs

# Build file listings. (and make movemail setgid mail on RHL)

DIR="$RPM_BUILD_ROOT/usr/lib/xemacs-%{version}"
INFO="*.info*"
EL="*.el"
ELGZ="*.el.gz"

find $DIR -type d |
  sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) %dir #g" > rpm-files

for i in `find $DIR -name $EL -type f`; do
    if [ -f ${i}c ]; then
        gzip -9 $i;
    fi
done

find $DIR -name $INFO | xargs gzip -9

find $DIR -name $INFO -type f |
  sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" > rpm-info

find $DIR -not -name $INFO -name $ELGZ -type f |
  sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" > rpm-el-files

find $DIR -not -name $INFO -not -name $ELGZ -type f |
  sed -e "
    s#^$RPM_BUILD_ROOT\(.*movemail\)#%attr(2755, root, mail) \1#g
    s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g
  " >> rpm-files

%clean
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%files -f rpm-files
%attr(-, root, root) %doc INSTALL README COPYING GETTING.GNU.SOFTWARE PROBLEMS 
%attr(-, root, root) %doc etc/NEWS etc/MAILINGLISTS BUGS README.i386-pc-linux
%attr(-, root, root) %doc Installation
%attr(-, root, root) /usr/bin/xemacs
%attr(-, root, root) /usr/bin/xemacs-%{version}
%attr(-, root, root) /usr/bin/pstogif
%attr(-, root, root) /usr/bin/install-sid
%attr(-, root, root) /usr/bin/send-pr
%attr(-, root, root) /usr/bin/gnuclient
%attr(-, root, root) /usr/bin/gnuattach
%attr(-, root, root) /usr/bin/gnudoit
%attr(-, root, root) /usr/man/man1/xemacs.1
%attr(-, root, root) /usr/man/man1/gnuserv.1
%attr(-, root, root) /usr/man/man1/gnuclient.1
%attr(-, root, root) /usr/man/man1/gnuattach.1
%attr(-, root, root) /usr/man/man1/gnudoit.1
%attr(-, root, root) %dir /usr/lib/xemacs/
%attr(-, root, root) %dir /usr/lib/xemacs/site-lisp
%attr(-, root, root) %dir /var/lock/xemacs

%files el -f rpm-el-files

%files info -f rpm-info

%files extras
%attr(-, root, root) /usr/bin/b2m
%attr(-, root, root) /usr/bin/ctags
%attr(-, root, root) /usr/bin/etags
%attr(-, root, root) /usr/bin/rcs-checkin
%attr(-, root, root) /usr/man/man1/ctags.1
%attr(-, root, root) /usr/man/man1/etags.1
